Users
Query User
Query users, optionally applying a filter.
Queryable Fields
id-OBJECT_IDemail-STRINGrole-STRINGenabled-BOOLEAN
Permissions
api.users.read
POST
/
v1
/
users
/
query
Query User
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/users/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenant}.mindbridge.ai/api/v1/users/query"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/users/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pageNumber": 123,
"totalPages": 123,
"content": [
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"role": "ROLE_ADMIN",
"enabled": true,
"validated": true,
"serviceAccount": true,
"recentLogins": [
{
"timestamp": "2023-11-07T05:31:56Z",
"ipAddress": "<string>"
}
]
}
],
"numberOfElements": 123,
"totalElements": 123,
"pageable": {
"pageNumber": 123,
"pageSize": 123,
"offset": 123,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
}
},
"pageSize": 123,
"sort": {
"sorted": true,
"unsorted": true,
"empty": true
},
"size": 123,
"number": 123,
"first": true,
"last": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Zero-based page index (0..N)
Required range:
x >= 0The size of the page to be returned
Required range:
x >= 1Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Query User

